Last Comment Bug 676586 - (minotaur) [meta] Implement a script debugger
(minotaur)
: [meta] Implement a script debugger
Status: RESOLVED FIXED
[sec-assigned:mgoodwin]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: ---
Assigned To: Panos Astithas [:past]
:
Mentors:
: 704041 746864 (view as bug list)
Depends on: 676590 676592 676594 676605 680044 680061 680062 685849 686684 687093 687095 688705 689875 690404 690419 690771 692405 692406 darkdebug 693371 693996 694526 694538 695279 695665 695728 697040 697761 697762 699419 700624 700639 702939 703718 706506 706859 707987 709088 710219 711164 722317 723047 723048 723059 723062 723069 723563 724228 724229 724862 725733 729576 731277 732365 732451 737464 746973 748749 748927 750736 753311 753313 755346 755385 756513 CVE-2012-3973 758683 758696 939426
Blocks: k9o-dev-resources
  Show dependency treegraph
 
Reported: 2011-08-04 10:57 PDT by Panos Astithas [:past]
Modified: 2013-11-28 00:36 PST (History)
23 users (show)
mgoodwin: sec‑review+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments

Description Panos Astithas [:past] 2011-08-04 10:57:37 PDT
Implement an integrated JavaScript debugger for Firefox. This is a meta bug for keeping track of the various subtasks. See the feature page for details:

https://wiki.mozilla.org/DevTools/Features/Debugger
Comment 1 Panos Astithas [:past] 2011-08-04 11:07:43 PDT
Code repository for this work is currently at: http://hg.mozilla.org/users/dcamp_campd.org/remote-debug/
Comment 2 Panos Astithas [:past] 2012-01-25 08:49:42 PST
*** Bug 704041 has been marked as a duplicate of this bug. ***
Comment 3 Panos Astithas [:past] 2012-02-16 23:17:36 PST
Previous security review notes (bug 697762):

https://wiki.mozilla.org/Security/Reviews/Firefox/RemoteDebug
Comment 4 Curtis Koenig [:curtisk-use curtis.koenig+bzATgmail.com]] 2012-02-22 14:15:30 PST
sec reviewer: mgoodwin
Comment 5 Sheila Mooney 2012-05-01 12:16:13 PDT
*** Bug 746864 has been marked as a duplicate of this bug. ***
Comment 7 Alex Keybl [:akeybl] 2012-05-31 12:07:11 PDT
Please change the flag from disabled to fixed if this is enabled for FF15.
Comment 8 Rob Campbell [:rc] (:robcee) 2012-11-14 07:37:21 PST
this tracking bug is no longer needed.
Comment 9 Mark Goodwin [:mgoodwin] 2013-11-06 11:37:44 PST
This has seen ongoing secreview including team reviews https://wiki.mozilla.org/Security/Reviews/Firefox/RemoteDebug and https://wiki.mozilla.org/Security/Reviews/Debugger - clearing secreview flag for housekeeping

Note You need to log in before you can comment on or make changes to this bug.